You are not logged in.

#1 2019-07-04 15:10:47

Sanras
Member
From: Texas, US
Registered: 2019-07-02
Posts: 7

Building AUR package with only x86_64 support

I am trying to build masterpdfeditor: https://aur.archlinux.org/packages/masterpdfeditor/ But, upon inspection of the PKGBUILD, it only has x86_64 arch. When I add pentium4, makepkg throws an error after the "entering fakeroot' step. By using the "add pentium4 to PKGBUILD" method I was able to get yay (which is available for i686) to install correctly, but not this package. Is there any way to install it?

Offline

#2 2019-07-04 19:12:17

levi
Moderator
From: Yorkshire, UK
Registered: 2018-06-16
Posts: 461

Re: Building AUR package with only x86_64 support

This appears to be one of those AURs that doesn't actually build anything, but instead downloads a prebuilt binary package and converts that to a package.  Unfortunately, the target url website is configured not all allow me to browse the folder containing the binaries, and I wasn't able to guess the 32-bit target name correctly.

If you can find the right 32-bit name, you need to define a source_pentuim4 variable in addition to editing the arch variable, and somehow compute the checksum for it, or run makepkg with the appropriate option to ignore hashes/checksums.  They do support ubuntu in 32-bit version so there should be a 32-bit build available, but I wasn't able to glean enough information from their website to determine its url, and I'm not sure whether the tar.gz file the existing pkgdef downloads is the actual x84 ubuntu version or some other build artefact.


Architecture: pentium4, Testing repos: Yes, Hardware: EeePC 901+2GB RAM+OS half on the SD card.

Offline

#3 2019-07-05 04:40:09

deep42thought
Administrator
From: Jena, Germany
Registered: 2017-06-17
Posts: 448

Re: Building AUR package with only x86_64 support

According to https://code-industry.net/checksum-information/, in principle "amd64" should be replaced by "i386". But the qt version seems unavailable for 32-bit. Sry.

Offline

#4 2019-10-12 06:31:47

andreas_baumann
Administrator
From: Zurich, Switzerland
Registered: 2017-08-10
Posts: 815
Website

Re: Building AUR package with only x86_64 support

On https://code-industry.net/free-pdf-editor/#get I saw:

32 bit - For CentOS/RedHat 6.x, Ubuntu 12.x - 14.x
Requirements: Qt 4.6.2 or later

master-pdf-editor-5.4.38.i386.tar.gz

so:

arch=('x86_64' 'pentium4')
source_pentium4=("https://code-industry.net/public/master-pdf-editor-${pkgver}.i386.tar.gz")
sha1sums_pentium4=('1017c28438d6f2946a52af0afa9c150c7e24d106')

does the trick.

Online

#5 2019-10-12 16:04:32

andreas_baumann
Administrator
From: Zurich, Switzerland
Registered: 2017-08-10
Posts: 815
Website

Re: Building AUR package with only x86_64 support

As Scimmia pointed out nicely on the AUR, the last version supporting 32-bit is masterpdfeditor 4, there is no version 5 anymore supporting 32-bit.
So forget my comment above.

Online

Board footer

Powered by FluxBB